## ircd 2.9.32

=== Makefile ===
#************************************************************************
#*   IRC - Internet Relay Chat, Makefile
#*   Copyright (C) 1990, Jarkko Oikarinen
#*
#*   This program is free software; you can redistribute it and/or modify
#*   it under the terms of the GNU General Public License as published by
#*   the Free Software Foundation; either version 1, or (at your option)
#*   any later version.
#*
#*   This program is distributed in the hope that it will be useful,
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#*   GNU General Public License for more details.
#*
#*   You should have received a copy of the GNU General Public License
#*   along with this program; if not, write to the Free Software
#*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#*/

CC=cc
RM=/bin/rm
INCLUDEDIR=../include

# Default flags:
CFLAGS= -g -I$(INCLUDEDIR) -O
#IRCDLIBS=
#
# use the following on MIPS:
#CFLAGS= -systype bsd43 -DSYSTYPE_BSD43 -I$(INCLUDEDIR)
# For Irix 4.x (SGI), use the following:
#CFLAGS= -g -cckr -I$(INCLUDEDIR)
#
# on NEXT use:
#CFLAGS=-bsd -I$(INCLUDEDIR)
#on NeXT other than 2.0:
#IRCDLIBS=-lsys_s
#
# AIX 370 flags
#CFLAGS=-D_BSD -Hxa -I$(INCLUDEDIR)
#IRCDLIBS=-lbsd
#
# Dynix/ptx V2.0.x
#CFLAGS= -I$(INCLUDEDIR) -O -Xo
#IRCDLIBS= -lsocket -linet -lnsl -lseq
# 
# Dynix/ptx V1.x.x
#IRCDLIBS= -lsocket -linet -lnsl -lseq
#
#use the following on SUN OS without nameserver libraries inside libc
#IRCDLIBS=-lresolv
#
# Solaris 2
#IRCDLIBS=-lsocket -lnsl
#
# ESIX
#CFLAGS=-O -I$(INCLUDEDIR) -I/usr/ucbinclude
#IRCDLIBS=-L/usr/ucblib -L/usr/lib -lsocket -lucb -lns -lnsl
#
# LDFLAGS - flags to send the loader (ld). SunOS users may want to add
# -Bstatic here.
#
#LDFLAGS=-Bstatic
#
#Dell SVR4
#CC=gcc
#CFLAGS= -I$(INCLUDEDIR) -O2
#IRCDLIBS=-lsocket -lnsl -lucb



# IRCDMODE is the mode you want the binary to be.
# The 4 at the front is important (allows for setuidness)
#
# WARNING: if you are making ircd SUID or SGID, check config.h to make sure
#          you are not defining CMDLINE_CONFIG 
IRCDMODE = 4711

# IRCDDIR must be the same as DPATH in include/config.h
#
IRCDDIR=/usr/local/lib/ircd

SHELL=/bin/sh
SUBDIRS=common ircd
BINDIR=$(IRCDDIR)
MANDIR=/usr/local/man
INSTALL=/usr/bin/install

MAKE=make 'CFLAGS=${CFLAGS}' 'CC=${CC}' 'IRCDLIBS=${IRCDLIBS}' \
	'LDFLAGS=${LDFLAGS}' 'IRCDMODE=${IRCDMODE}' 'BINDIR=${BINDIR}' \
	'INSTALL=${INSTALL}' 'INCLUDEDIR=${INCLUDEDIR}' \
	'IRCDDIR=${IRCDDIR}' 'MANDIR=${MANDIR}'

all:	build

server:
	@echo 'Making server'; cd ircd; ${MAKE} build; cd ..;

build:
	-@if [ ! -f include/setup.h ] ; then \
		echo "Hmm...doesn't look like you've run Config..."; \
		echo "Doing so now."; \
		sh Config; \
	fi
	@for i in $(SUBDIRS); do \
		echo "Building $$i";\
		cd $$i;\
		${MAKE} build; cd ..;\
	done

clean:
	$(RM) -f *~ \#* core *.orig include/*.orig
	@for i in $(SUBDIRS); do \
		echo "Cleaning $$i";\
		cd $$i;\
		${MAKE} clean; cd ..;\
	done
	-@if [ -f include/setup.h ] ; then \
	echo "To really restart installation, remove include/setup.h" ; \
	fi

depend:
	@for i in $(SUBDIRS); do \
		echo "Making dependencies in $$i";\
		cd $$i;\
		${MAKE} depend; cd ..;\
	done

install: all
	chmod +x ./bsdinstall
	@for i in ircd doc; do \
		echo "Installing $$i";\
		cd $$i;\
		${MAKE} install; cd ..;\
	done


rcs:
	cii -H -R Makefile common include ircd

=== common/Makefile ===
#************************************************************************
#*   IRC - Internet Relay Chat, common/Makefile
#*   Copyright (C) 1990 Jarkko Oikarinen
#*
#*   This program is free software; you can redistribute it and/or modify
#*   it under the terms of the GNU General Public License as published by
#*   the Free Software Foundation; either version 1, or (at your option)
#*   any later version.
#*
#*   This program is distributed in the hope that it will be useful,
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#*   GNU General Public License for more details.
#*
#*   You should have received a copy of the GNU General Public License
#*   along with this program; if not, write to the Free Software
#*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#*/

CC=cc
RM=/bin/rm
INCLUDE=../include

# For MIPS, use:
# CFLAGS=-O -systype bsd43 -I${INCLUDE}
# and otherwise:
CFLAGS=-O -I${INCLUDE}


OBJS=bsd.o dbuf.o packet.o send.o match.o parse.o support.o

SRC=bsd.c dbuf.c packet.c parse.c send.c match.c support.c

tm: tm.o match.o tab.o
	$(CC) -g tab.o tm.o match.o -o tm

all: build

build: $(OBJS)

install:

clean:
	$(RM) -f *.o *~ core \#* *.bak *.orig

depend:
	makedepend -I${INCLUDE} ${SRC}

# DO NOT DELETE THIS LINE -- make depend depends on it.

bsd.o: bsd.c ../include/common.h ../include/sys.h ../include/config.h
dbuf.o: ../include/config.h ../include/common.h ../include/dbuf.h
dbuf.o: ../include/sys.h dbuf.c
packet.o: ../include/struct.h ../include/config.h ../include/class.h
packet.o: ../include/dbuf.h ../include/common.h ../include/msg.h packet.c
parse.o: ../include/struct.h ../include/config.h
parse.o: ../include/class.h ../include/dbuf.h ../include/common.h
parse.o: ../include/msg.h ../include/sys.h
parse.o: ../include/numeric.h parse.c
send.o: ../include/struct.h ../include/config.h ../include/class.h
send.o: ../include/dbuf.h ../include/common.h send.c
match.o: ../include/config.h ../include/common.h ../include/sys.h match.c
support.o: ../include/config.h ../include/common.h ../include/sys.h support.c

=== ircd/Makefile ===
#************************************************************************
#*   IRC - Internet Relay Chat, ircd/Makefile
#*   Copyright (C) 1990 Jarkko Oikarinen
#*
#*   This program is free software; you can redistribute it and/or modify
#*   it under the terms of the GNU General Public License as published by
#*   the Free Software Foundation; either version 1, or (at your option)
#*   any later version.
#*
#*   This program is distributed in the hope that it will be useful,
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#*   GNU General Public License for more details.
#*
#*   You should have received a copy of the GNU General Public License
#*   along with this program; if not, write to the Free Software
#*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#*/

CC=cc
RM=/bin/rm
CP=/bin/cp
TOUCH=touch
SHELL=/bin/sh
INSTALL=/usr/bin/install

# IRCDMODE given in top level Makefile, but added here to make sure
# compilation works if started in ircd subdirectory

IRCDMODE=711
INCLUDEDIR=../include

# CFLAGS/IRCDLIBS used in ../Makefile should also be used here.  The list
# given below is less than complete.
# For MIPS, use the following:
#CFLAGS= -g -systype bsd43 -DSYSTYPE_BSD43 -I${INCLUDEDIR}
# For Irix 4.x (SGI), use the following:
#CFLAGS= -g -cckr -I$(INCLUDEDIR)
# else just this
CFLAGS= -g -I${INCLUDEDIR}
#
# use the following on SUN OS without nameserver libraries inside libc
# NOTE: most dont have the resolver libraries inside libc
#IRCDLIBS=-lresolv
#
#on NeXT other than 2.0:
#IRCDLIBS=-lsys_s
#
# HPUX:
#IRCDLIBS=-lBSD
#
# Solaris 2
#IRCDLIBS=-lsocket -lnsl
#
# ESIX
#CFLAGS=-O -I${INCLUDEDIR} -I/usr/ucbinclude
#IRCDLIBS=-L/usr/ucblib -L/usr/lib -lsocket -lucb -lns -lnsl
#
#When profiling:
#IRCDLIBS=-lc_p

LINTFLAGS=-hba
#
# LDFLAGS - flags to send the loader (ld). SunOS users may want to add
# -Bstatic here.
#
#LDFLAGS=-Bstatic
#LDFLAGS=-Wl,-a,archive
#
# RES - if you are missing the resolv library (man 5 resolv.conf), or you
# experience probems with ip# to hostname lookups for local machines or
# the server wont compile because _res is missing, uncomment RES.
# For those who know what these are, if you normally use the resolv+
# libraries and have setup /etc/resolv.conf, these are fromm resolv+ if they
# are not part of your system libraries.  In all cases you should try your
# system libraries before these.
#
#RES=res_init.o res_comp.o res_mkquery.o

COMMONOBJS=../common/bsd.o ../common/dbuf.o ../common/packet.o \
           ../common/send.o ../common/match.o ../common/parse.o \
           ../common/support.o

OBJS=channel.o class.o hash.o ircd.o list.o res.o s_auth.o s_bsd.o s_conf.o \
	s_debug.o s_err.o s_misc.o s_numeric.o s_serv.o s_user.o whowas.o \
	note.o userload.o crule.o s_ping.o map.o random.o $(RES) $(COMMONOBJS)

SRC=$(OBJS:%.o=%.c)

COMMONSRC=$(COMMONOBJS:%.o=%.c)

MAKE = make 'CFLAGS=${CFLAGS}' 'CC=${CC}' 'IRCDLIBS=${IRCDLIBS}' \
	    'LDFLAGS=${LDFLAGS}' 'IRCDMODE=${IRCDMODE}'


all: build

build: ircd chkconf

ircd: $(OBJS) ../include/patchlevel.h
	$(SHELL) version.c.SH
	$(CC) $(CFLAGS) -c version.c
	$(CC) $(CFLAGS) $(OBJS) version.o $(LDFLAGS) $(IRCDLIBS) -o ircd
	chmod $(IRCDMODE) ircd

chkconf: ../include/struct.h ../include/config.h ../include/sys.h \
	 ../include/common.h crule.c chkconf.c
	$(CC) $(CFLAGS) -DCR_CHKCONF -o chkcrule.o -c crule.c
	$(CC) $(CFLAGS) chkconf.c ../common/match.o chkcrule.o \
	$(LDFLAGS) $(IRCDLIBS) -o chkconf

saber: $(SRC)
	#load -I../include $(SRC) $(COMMONSRC) version.c $(IRCDLIBS)

lint:
	lint $(LINTFLAGS) -I../include $(SRC) | egrep -v 'sendto_|debug'

../common/parse.o: ../common/parse.c ../include/msg.h ../include/config.h\
		   ../include/struct.h ../include/sys.h ../include/numeric.h
	(cd ../common; $(MAKE) build);
../common/bsd.o: ../common/bsd.c ../include/config.h ../include/common.h\
		 ../include/struct.h ../include/sys.h
	(cd ../common; $(MAKE) build);
../common/dbuf.o: ../common/dbuf.c ../include/config.h ../include/common.h\
		  ../include/struct.h ../include/dbuf.h
	(cd ../common; $(MAKE) build);
../common/packet.o: ../common/packet.c ../include/config.h ../include/common.h\
		    ../include/struct.h ../include/msg.h
	(cd ../common; $(MAKE) build);
../common/send.o: ../common/send.c ../include/config.h ../include/common.h\
		  ../include/struct.h ../include/sys.h
	(cd ../common; $(MAKE) build);
../common/match.o: ../common/match.c ../include/config.h ../include/common.h\
		   ../include/sys.h
	(cd ../common; $(MAKE) build);
../common/support.o: ../common/support.c ../include/config.h ../include/sys.h\
		     ../include/common.h
	(cd ../common; $(MAKE) build);

install: all
	-if [ ! -d ${IRCDDIR} -a ! -f ${IRCDDIR} ] ; then \
		mkdir ${IRCDDIR}; \
	fi
	../bsdinstall -c -s -m ${IRCDMODE} ircd ${BINDIR}
	../bsdinstall -c -s -m 700 chkconf ${BINDIR}
	$(CP) ../doc/example.conf ${IRCDDIR}
	$(TOUCH) ${IRCDDIR}/ircd.motd
	$(RM) -f ${IRCDDIR}/ircd.m4
	$(TOUCH) ${IRCDDIR}/ircd.m4
	chmod +x buildm4
	./buildm4 ${IRCDDIR}

clean:
	$(RM) -f *.o *~ core ircd version.c \#* *.bak chkconf *.orig

depend:
	makedepend -I${INCLUDEDIR} ${SRC}

channel.o: ../include/struct.h ../include/config.h ../include/dbuf.h \
	   ../include/numeric.h ../include/channel.h ../include/sys.h \
	   ../include/common.h
	$(CC) $(CFLAGS) -c channel.c

class.o: ../include/struct.h ../include/class.h ../include/numeric.h \
	 ../include/common.h ../include/config.h ../include/sys.h
	$(CC) $(CFLAGS) -c class.c

ircd.o: ircd.c ../include/struct.h ../include/config.h ../include/sys.h \
	../include/dbuf.h ../include/numeric.h ../include/common.h
	$(CC) $(CFLAGS) -c ircd.c

list.o: list.c ../include/struct.h ../include/config.h ../include/dbuf.h \
	../include/sys.h ../include/common.h
	$(CC) $(CFLAGS) -c list.c

res.o: res.c ../include/struct.h ../include/config.h ../include/res.h \
	   ../include/sys.h ../include/common.h
	$(CC) $(CFLAGS) -c res.c

s_bsd.o: s_bsd.c ../include/struct.h ../include/config.h ../include/dbuf.h \
	 ../include/sys.h ../include/common.h
	$(CC) $(CFLAGS) -c s_bsd.c

s_auth.o: s_auth.c ../include/struct.h ../include/config.h ../include/dbuf.h \
	  ../include/sys.h ../include/common.h
	$(CC) $(CFLAGS) -c s_auth.c

s_conf.o: s_conf.c ../include/struct.h ../include/config.h ../include/sys.h \
	  ../include/common.h ../include/numeric.h  ../include/dbuf.h
	$(CC) $(CFLAGS) -c s_conf.c

s_debug.o: ../include/config.h ../include/struct.h ../include/common.h \
	  ../include/sys.h s_debug.c
	$(CC) $(CFLAGS) -c s_debug.c

s_err.o: ../include/config.h ../include/struct.h ../include/common.h \
	  ../include/sys.h ../include/numeric.h ../include/msg.h s_err.c
	$(CC) $(CFLAGS) -c s_err.c

s_misc.o: s_misc.c ../include/struct.h ../include/config.h ../include/dbuf.h \
	  ../include/common.h ../include/sys.h ../include/numeric.h
	$(CC) $(CFLAGS) -c s_misc.c

s_user.o: s_user.c ../include/struct.h ../include/config.h ../include/sys.h \
	  ../include/common.h ../include/dbuf.h ../include/channel.h \
	  ../include/msg.h ../include/numeric.h ../include/whowas.h
	$(CC) $(CFLAGS) -c s_user.c

s_serv.o: s_serv.c ../include/struct.h ../include/config.h ../include/sys.h \
	  ../include/common.h ../include/dbuf.h ../include/channel.h \
	  ../include/msg.h ../include/numeric.h ../include/whowas.h
	$(CC) $(CFLAGS) -c s_serv.c

s_numeric.o: s_numeric.c ../include/config.h ../include/sys.h \
	  ../include/common.h ../include/struct.h ../include/dbuf.h \
	  ../include/numeric.h
	$(CC) $(CFLAGS) -c s_numeric.c

whowas.o: ../include/struct.h ../include/config.h ../include/sys.h \
	  ../include/common.h ../include/dbuf.h ../include/numeric.h \
	  ../include/whowas.h whowas.c
	$(CC) $(CFLAGS) -c whowas.c

hash.o: ../include/struct.h ../include/sys.h ../include/hash.h hash.c \
	../include/common.h ../include/config.h s_bsd.c s_serv.c s_user.c \
	channel.c s_misc.c
	@crypt/sums
	$(CC) $(CFLAGS) -c hash.c
	@/bin/rm -f hash.c
	@/bin/mv -f hash.c.old hash.c
	@touch hash.o

note.o: ../include/struct.h ../include/sys.h ../include/common.h \
	 ../include/config.h note.c
	$(CC) $(CFLAGS) -c note.c

crule.o: ../include/struct.h ../include/sys.h ../include/common.h \
	 ../include/config.h crule.c
	$(CC) $(CFLAGS) -c crule.c

s_ping.o: ../include/struct.h ../include/sys.h ../include/common.h \
	 ../include/config.h s_ping.c
	$(CC) $(CFLAGS) -c s_ping.c

random.o: ../include/struct.h ../include/sys.h random.c
	$(CC) $(CFLAGS) -c random.c

map.o: ../include/struct.h ../include/sys.h map.c
	$(CC) $(CFLAGS) -c map.c

# DO NOT DELETE THIS LINE -- make depend depends on it.

channel.o: ../include/struct.h ../include/config.h ../include/dbuf.h
channel.o: ../include/numeric.h ../include/channel.h channel.c
s_misc.o: ../include/struct.h ../include/config.h ../include/dbuf.h s_misc.c
ircd.o: ../include/struct.h ../include/config.h
ircd.o: ../include/dbuf.h ../include/numeric.h ircd.c
list.o: ../include/struct.h ../include/config.h ../include/dbuf.h
list.o: ../include/sys.h list.c
note.o: ../include/config.h note.c
res.o: ../include/struct.h ../include/config.h ../include/res.h res.c
s_bsd.o: ../include/struct.h ../include/config.h ../include/dbuf.h
s_bsd.o: ../include/sys.h s_bsd.c
s_auth.o: ../include/struct.h ../include/config.h ../include/dbuf.h
s_auth.o: ../include/sys.h s_auth.c
s_debug.o: ../include/config.h ../include/struct.h ../include/common.h
s_debug.o: ../include/sys.h s_debug.c
s_debug.o: ../include/struct.h ../include/common.h ../include/sys.h
s_err.o: ../include/struct.h ../include/config.h ../include/numeric.h
s_err.o: ../include/dbuf.h ../include/sys.h s_err.c
s_conf.o: ../include/struct.h ../include/config.h ../include/numeric.h
s_conf.o: ../include/dbuf.h ../include/sys.h s_conf.c
s_user.o: ../include/struct.h ../include/config.h
s_user.o: ../include/dbuf.h ../include/sys.h ../include/channel.h
s_user.o: ../include/msg.h ../include/numeric.h ../include/whowas.h s_user.c
s_serv.o: ../include/struct.h ../include/config.h
s_serv.o: ../include/dbuf.h ../include/sys.h ../include/channel.h
userload.o: ../include/common.h ../include/config.h ../include/userload.h
s_serv.o: ../include/msg.h ../include/numeric.h ../include/whowas.h s_serv.c
s_numeric.o: ../include/config.h ../include/sys.h ../include/struct.h
s_numeric.o: ../include/dbuf.h ../include/numeric.h s_numeric.c
whowas.o: ../include/struct.h ../include/config.h ../include/dbuf.h
whowas.o: ../include/numeric.h ../include/whowas.h ../include/sys.h whowas.c
class.o: ../include/struct.h ../include/class.h ../include/numeric.h
class.o: ../include/common.h ../include/config.h class.c
hash.o: ../include/config.h ../include/sys.h ../include/hash.h
hash.o: ../include/struct.h ../include/common.h s_serv.c s_user.c
hash.o: channel.c s_misc.c s_bsd.c ircd.c hash.c version.c.SH
version.o: version.c.SH version.c
crule.o: ../include/config.h ../include/sys.h ../include/struct.h
crule.o: ../include/common.h

## ircd 2.10.07

=== ircd/crypt/Makefile ===
#************************************************************************
#*   IRC - Internet Relay Chat, ircd/crypt/Makefile
#*   Copyright (C) 1991 Darren Reed
#*
#*   This program is free software; you can redistribute it and/or modify
#*   it under the terms of the GNU General Public License as published by
#*   the Free Software Foundation; either version 1, or (at your option)
#*   any later version.
#*
#*   This program is distributed in the hope that it will be useful,
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#*   GNU General Public License for more details.
#*
#*   You should have received a copy of the GNU General Public License
#*   along with this program; if not, write to the Free Software
#*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#*/
#
# Change this to the path of your local ircd.conf file
#
IRCDCONF = /usr/local/lib/irc/ircd.conf

LIBS = -lcrypt

all: mkpasswd
crypt: install

mkpasswd: mkpasswd.c
	gcc -Wall -O2 mkpasswd.c -o mkpasswd ${LIBS}

install:
	crypter ${IRCDCONF}
	@echo 'done.'

clean:
	/bin/rm -f mkpasswd

## ircd 2.10.10.pl18

=== ircd/test/Makefile ===

CPPFLAGS = -I../../include -I../..
CFLAGS   = -g -Wall

TESTPROGS = \
	ircd_chattr_t \
	ircd_string_t

all: ${TESTPROGS}
 
ircd_chattr_t: ircd_chattr_t.o ../ircd_string.o
	${CC} -o $@ $^

ircd_string_t: ircd_string_t.o ../ircd_string.o
	${CC} -o $@ $^

.PHONY: clean

clean:
	rm -f core *.o ${TESTPROGS}

## ircd 3.0

=== debian/changelog ===
ircd (3.0) unstable; urgency=low

  * Made ircd a meta package:
   - there will be no more updates for "ircd"
   - added Depends: on ircd-ircu
 
 -- Martin Loschwitz <madkiss@debian.org>  Fri, 21 Mar 2003 17:55:00 +0100
 

ircd (2.10.10.pl18-4) unstable; urgency=high

  * Removed Conflicts: and added Replaces: to debian/rules 
  * Removed irc.1.gz (Closes: #144549)
  * Changed init-file to check for ircd-binary.

 -- Martin Loschwitz <madkiss@madkiss.org>  Fri, 26 Apr 2002 20:15:00 +0200
   

ircd (2.10.10.pl18-3) unstable; urgency=high

  * Added Conflicts: for ircd-dalnet (Closes: #144549)
 
 -- Martin Loschwitz <madkiss@madkiss.org>  Fri, 26 Apr 2002 16:05:00 +0200
     

ircd (2.10.10.pl18-2) unstable; urgency=medium

  * Added debconf note about dancer-ircd
  * Package is ready for woody now (Closes: #143794)

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 21 Apr 2002 19:40:00 +0200
 

ircd (2.10.10.pl18-1) unstable; urgency=low

  * New Maintainer
  * Removed dancer-ircd from package (Closes: #141241)
  * Repackaging (Closes: #84567, #121042, #121041, #63280, #61336)
  * new upstream version (Closes: #128180, #142353, #58757)

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 13 Apr 2002 10:29:00 +0200
   

ircd (2.10.07-1.1) unstable; urgency=low
  * Non-maintainer upload.
  * Fix printf-is-a-macro issue (gcc 3.0).  Closes: #103152

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

ircd (2.10.07-1) unstable; urgency=low

  * New upstream version.
  * Removed setgidness, closes: #37103, #42939, #52763.
  * Fixed inability to install if /etc/ircd doesn't exist, closes: #52327.

 -- Johnie Ingram <johnie@debian.org>  Fri, 17 Dec 1999 19:19:02 -0600

ircd (2.10.06-2) unstable; urgency=low

  * Really fix sgidness, closes: #37103, #42939.  Hi Ian.

 -- Johnie Ingram <johnie@debian.org>  Tue, 14 Sep 1999 13:37:53 -0500

ircd (2.10.06-1) unstable; urgency=low

  * New upstream version.
  * Updated to Standards-Version 3.0.1.0
  * Broke linpeople patches down further, added support for a local
    ircd.conf file and shorter resolve timeout.
  * ircd is no longer sgid root, closes: #37103, #42939.
  * dancerconfig no longer tries to chown and chgrp, closes: #42232.

 -- Johnie Ingram <johnie@debian.org>  Tue, 14 Sep 1999 12:58:39 -0500

ircd (2.10.05-4) unstable; urgency=low

  * Changed CHANNELLEN in dancer from 200 to 60 to match network policy.
  * Removed typo in postint, again closes: #36382, #36428.

 -- Johnie Ingram <johnie@debian.org>  Wed, 28 Apr 1999 04:34:17 -0400

ircd (2.10.05-3) unstable; urgency=low

  * Fixed sed in postinst with perl magic from Roderick Schertler, closes:
    #36382, #36428.

 -- Johnie Ingram <johnie@debian.org>  Tue, 27 Apr 1999 11:33:06 -0400

ircd (2.10.05-2) unstable; urgency=low

  * Moved socket in default conf from /tmp to /var/run, closes: #35243.
  * Added internal target for building libc5 dancer binary.

 -- Johnie Ingram <johnie@debian.org>  Mon, 12 Apr 1999 06:25:27 -0400

ircd (2.10.05-1) unstable; urgency=low

  * New upstream version (2.10.05.18.(ipcheck4-5)).
  * Updated config file to add separate port (8005) for server-only
    connects, closes: #32845.
  * Fixed docs in default MOTD, and made it world-readable, closes:
    #34347.

 -- Johnie Ingram <johnie@debian.org>  Sun, 21 Mar 1999 17:22:00 -0500

ircd (2.10.04+-3) unstable; urgency=low

  * Fixed SPATH for dancer, closes: #32760.
  * New upstream version (CVS), closes: #31775, #30504.  

 -- Johnie Ingram <johnie@debian.org>  Thu,  4 Feb 1999 13:26:15 -0500

ircd (2.10.04+-2) unstable; urgency=low

  * New upstream version (CVS), closes: #31775, #30504.
  * Lets see of this works shall we ----^

 -- Johnie Ingram <johnie@debian.org>  Sun, 31 Jan 1999 14:55:24 -0500

ircd (2.10.04+-1) unstable; urgency=low

  * Used -r for directory delete in postrm (#31775).
  * New upstream version ircu2.10.04+.resolv7-9.nodns.egcs.config17-18.nmt.doc6-7.msgflags2-3.chroot1-2.egcs1-2.nip.tok.pten.tlim2-3.illegal.tlim3-4.admin.admin1-2.upper3-4.upper4-5.whisper2-3.egcs2-3.egcs3-4.ipcheck.cpp.cpp1-2.acr1.ipcheck1-2.gipl.masks.full.config18-19.modeless5-7.fdsetsize.doc7-8.url.cpp2-3.collapse.space.hashv.findname.findnickserver.inthashnick.nousertarget.findmatchserver.netbsd.hashv1-2.config19-20.common.isperson.config20-21.naming.cpp3-4.bursthack2.modeless7-8.charattribs.newcommon.tolower.toupper.ctype.match1.mycmp.newcollapse.matchexec.newhash.mmexec.newcollapse1-2.matchexec1-2.usernames.newhash1-2.nickjupes2.match1-2.settime3-4.newcommon1-3.forceinline.newcommon3-5.newcommon5-6.usernames1-2.forceinline1-2.getshort.tlim4-5.misc2-3.forceinline2-3.dead2-3.config21-22.nomotd.kcq.rpl272.findnuser.nnn.matchcompip (CVS).
  * Removed possible bashism in postrm.
  * For dancer: added patch, changed compiler to gcc and removed -pipe
    from CFLAGS for Solaris compatibility.

 -- Johnie Ingram <johnie@debian.org>  Sun, 31 Jan 1999 04:59:09 -0500

ircd (2.10.04-4) unstable; urgency=low

  * Eliminated duplication of file TODO (#28820) by removing both files.
  * Changed location of pid file so ircd can write to it (#28857).
  * Fixed in previous versions: changes /etc/services (#28821), missing
    manpage (#28857), segfault on /admin (30504, kept open for
    documentation until slink release).

 -- Johnie Ingram <johnie@debian.org>  Sat, 19 Dec 1998 23:54:19 -0500

ircd (2.10.04-3) unstable; urgency=low

  * Updated to Standards-Version 2.5.0.0.
  * Added expanded T-line syntax to dancer -- it can match either the
    client host or the servers virtual interface IP.  Inside the MOTD, a ^
    at a line start means PRIVMSG and > means NOTICE.

 -- Johnie Ingram <johnie@debian.org>  Sun, 29 Nov 1998 22:07:30 -0500

ircd (2.10.04-2) unstable; urgency=low

  * Configured for correct SPATH (#28057).
  * Installed correct manpage (ircd.8, not irc.1) and remote.motd
    (#27985). 

 -- Johnie Ingram <johnie@debian.org>  Tue, 13 Oct 1998 14:31:36 -0400

ircd (2.10.04-1) unstable; urgency=low


=== debian/control ===
Source: ircd
Section: net
Priority: optional
Maintainer: Martin Loschwitz <madkiss@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.9

Package: ircd
Architecture: all 
Depends: ircd-ircu (>= 2.10.11.04-2)
Description: IRC Server daemon - dummy package
 This is a dummy package that depends on ircd-ircu. It is mostly there
 to upgrade the old 'ircd' package, which will be removed from archive
 after sarge released.

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=3

clean:
	
	dh_testdir
	dh_testroot
	dh_clean

build:

binary-indep: build

	dh_testdir
	dh_testroot
	
	dh_installchangelogs
	dh_installdocs
	dh_compress
	
	dh_installdeb
	dh_gencontrol
	
	dh_md5sums
	dh_builddeb

binary-arch: build
	
binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary
